{
  "name": "@genex/common",
  "version": "1.0.0",
  "description": "Genex shared library - guards, decorators, interceptors, filters, DTOs, outbox",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "build": "tsc",
    "dev": "tsc --watch"
  },
  "dependencies": {
    "@nestjs/common": "^10.3.0",
    "@nestjs/core": "^10.3.0",
    "@nestjs/passport": "^10.0.3",
    "@nestjs/jwt": "^10.2.0",
    "@nestjs/typeorm": "^10.0.1",
    "@nestjs/schedule": "^4.0.0",
    "class-validator": "^0.14.1",
    "class-transformer": "^0.5.1",
    "typeorm": "^0.3.20",
    "passport-jwt": "^4.0.1",
    "kafkajs": "^2.2.4",
    "reflect-metadata": "^0.2.1"
  },
  "devDependencies": {
    "typescript": "^5.3.3",
    "@types/node": "^20.11.0",
    "@types/passport-jwt": "^4.0.1"
  }
}
